Obtener Plantilla
curl --request GET \
--url https://api.plazbot.com/api/template/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.plazbot.com/api/template/{id}"
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.plazbot.com/api/template/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"workspaceId": "<string>",
"userId": "<string>",
"elementName": "<string>",
"internalWhatsappId": "<string>",
"languageCode": "<string>",
"category": "<string>",
"reference1": "<string>",
"templateType": "<string>",
"statusId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"components": [
{
"type": "<string>",
"format": "<string>",
"text": "<string>",
"buttons": [
{
"type": "<string>",
"text": "<string>",
"phone_number": "<string>",
"url": "<string>",
"tagIds": [
"<string>"
],
"segmentationIds": [
"<string>"
],
"phaseIds": [
"<string>"
],
"agentIds": [
"<string>"
]
}
],
"variables": [
{
"variable": "<string>",
"example": "<string>"
}
]
}
]
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Template
Obtener Plantilla por ID
Servicio para obtener una plantilla especifica por su ID.
GET
/
api
/
template
/
{id}
Obtener Plantilla
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Path Parameters
ID de la plantilla
Query Parameters
Identificador del workspace
Response
Plantilla obtenida exitosamente
Indica si la operacion fue exitosa
Codigo HTTP de la respuesta
Codigo de error, null si no hay error
Mensaje descriptivo del resultado
Plantilla de WhatsApp para envio de mensajes
Show child attributes
Show child attributes
⌘I

